com.salesforce.datacloud.jdbc.auth

## Class OAuthToken

- java.lang.Object
- - com.salesforce.datacloud.jdbc.auth.OAuthToken

    public final class OAuthToken
    extends Object

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`String` `getBearerToken()`
`URI` `getInstanceUrl()`
`String` `getToken()`
`int` `hashCode()`
`static OAuthToken` `of(OAuthTokenResponse response)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### of

    public static OAuthToken of(OAuthTokenResponse response)
                         throws SQLException

Throws:
  `SQLException`

#### getBearerToken

    public String getBearerToken()

#### getToken

    public String getToken()

#### getInstanceUrl

    public URI getInstanceUrl()

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`